Latex2Nemeth: A Latex to Nemeth direct transcriber.

Requires Java 1.7 or newer.

Usage: latex2nemeth [options] texFile auxFile

Options:
 -e,--encoding <arg>   The encoding table for Braille Mathematical symbols 
                       in the form of a JSON file.  If not specified, default 
		       Nemeth table is used. 

 -m,--mode <arg>       The mode of the parser which controls the type of
                       the output Braille files. It can be either 'nemeth' 
		       or 'pef'. The default mode is nemeth.

 -o <arg>              The output prefix of the Braille files. It can also
                       be prefixed with a path to a specific directory.
                       The default value is the name of the TeX file. The program 
		       generates an output file for each chapter in the input TeX 
		       file.

Usage examples:
   A simple example:
      latex2nemeth examples/mathtest.tex examples/mathtest.aux

   A more complicated example:
      latex2nemeth examples/mathtest.tex examples/mathtest.aux -o examples/ch -m nemeth -e examples/nemeth.json

   An example with pictures:
      latex2nemeth examples/mathpics.tex examples/mathpics.aux

Notes:
 
1. Input tex files must be in utf-8. If using another encoding (such as iso-8859-7) 
   run first LaTeX to produce the aux file and then convert the source.tex to utf-8 
   with a command such as

      iconv -f iso8859-7 -t utf-8 source.tex > source-utf8.tex

   or using your editor. Now run latex2nemeth as above with 
   source-utf8.tex as the tex file and source.aux as the aux file. If errors are 
   produced you need to modify the source-utf8.tex at the line indicated. 
   Usually the errors have to do either with non supported shortcuts for macros 
   (in which case replace the shortcut with the true code) or with macros that 
   are irrelevant to the blind (in which case remove them). 

2. Braille/Nemeth output files are encoded in UTF-16. 
   Convert them to utf-8 with a command such as

      iconv -f utf-16 -t utf-8 source.nemeth > source-utf8.nemeth
   
   (This step will be eliminated in future releases and the output will be directly
    in utf-8.)

3. To emboss the output open the produced source-utf8.nemeth in LibreOffice 
   with the odt2braille plugin installed, open it as "Unicode UTF-8 encoded text" 
   and emboss as usually.

4. Pictures are exported separately in text files. Currently only pstricks pictures are supported.
 
The project page is at http://myria.math.aegean.gr/labs/dt/braille/index-en.html

The source is available at http://latex2nemeth.sourceforge.net/ under the GPL3 or newer license.

Please report issues related to erratic output to andpapas@aegean.gr
and issues related to the tex file handling/modifying to antonis.tsolomitis@gmail.com

The project was supported by the Research Unit of the University of the Aegean (project 2625).




